<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<tr *ngIf="!data || data.length === 0">
  <td
    [colSpan]="colspan"
    class="text-center"
    [ngClass]="{'p-2': loading || !data}">
    <div *ngIf="loading || !data">
      <svg
        role="img"
        aria-label="{{ commonMessages.LOADING }}"
        class="spinner"
        width="33px"
        height="33px"
        viewBox="0 0 66 66"
        xmlns="http://www.w3.org/2000/svg">
        <circle
          class="path"
          fill="none"
          stroke-width="6"
          stroke-linecap="round"
          cx="33"
          cy="33"
          r="30">
        </circle>
      </svg>
    </div>
    <span
      *ngIf="!loading && data?.length === 0"
      class="w-100 ls-neutral fst-italic"
      [innerText]="emptyMessage">
    </span>
  </td>
</tr>


